import React from 'react';
import styled from 'styled-components';
import 'antd/dist/antd.css';
import { Popover } from 'antd';

/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

function __makeTemplateObject(cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
}

var StyledDiv = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  background-color: white;\n  border: 1px solid black;\n  padding: 16px;\n  width: 360px;\n  text-align: center;\n\n  ", "\n"], ["\n  background-color: white;\n  border: 1px solid black;\n  padding: 16px;\n  width: 360px;\n  text-align: center;\n\n  ",
    "\n"])), function (props) {
    return props.theme === "secondary" &&
        "background-color: black;\n     color: white;";
});
var StyledHeading = styled.h1(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  font-size: 32px;\n"], ["\n  font-size: 32px;\n"])));
var StyledDescription = styled.h2(templateObject_3 || (templateObject_3 = __makeTemplateObject([""], [""])));
var TestComponent = function (_a) {
    var theme = _a.theme;
    return (React.createElement(StyledDiv, { "data-testid": "test-component", theme: theme },
        React.createElement(StyledHeading, { className: "heading" }, "I'm the test component"),
        React.createElement(StyledDescription, null, "Made with love by Harvey")));
};
var templateObject_1, templateObject_2, templateObject_3;

var StyledButton = styled.button(templateObject_1$1 || (templateObject_1$1 = __makeTemplateObject(["\n  background-color: #ffcf01;\n  color: black;\n  height: 48px;\n  min-width: 148px;\n  padding: 9px 18px;\n  font-size: 14px;\n  line-height: 24px;\n  cursor: pointer;\n  border: none;\n  border-radius: 4px;\n  outline: none;\n"], ["\n  background-color: #ffcf01;\n  color: black;\n  height: 48px;\n  min-width: 148px;\n  padding: 9px 18px;\n  font-size: 14px;\n  line-height: 24px;\n  cursor: pointer;\n  border: none;\n  border-radius: 4px;\n  outline: none;\n"])));
var ButtonComponent = function (_a) {
    var text = _a.text, _b = _a.disabled, disabled = _b === void 0 ? false : _b, onClick = _a.onClick, icon = _a.icon;
    return (React.createElement(React.Fragment, null,
        React.createElement(StyledButton, { disabled: disabled, onClick: onClick, type: "button" },
            icon && icon,
            text)));
};
var templateObject_1$1;

const img = "data:image/svg+xml,%3c%3fxml version='1.0' encoding='UTF-8' standalone='no'%3f%3e%3csvg xmlns:dc='http://purl.org/dc/elements/1.1/' xmlns:cc='http://creativecommons.org/ns%23' xmlns:rdf='http://www.w3.org/1999/02/22-rdf-syntax-ns%23' xmlns:svg='http://www.w3.org/2000/svg' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' xmlns:sodipodi='http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd' xmlns:inkscape='http://www.inkscape.org/namespaces/inkscape' inkscape:version='1.0 (1.0%2br73%2b1)' sodipodi:docname='logo_bet.svg' id='svg411' version='1.1' viewBox='0 0 169 32' height='32px' width='169px'%3e %3cmetadata id='metadata415'%3e %3crdf:RDF%3e %3ccc:Work rdf:about=''%3e %3cdc:format%3eimage/svg%2bxml%3c/dc:format%3e %3cdc:type rdf:resource='http://purl.org/dc/dcmitype/StillImage' /%3e %3cdc:title%3e169x32%3c/dc:title%3e %3c/cc:Work%3e %3c/rdf:RDF%3e %3c/metadata%3e %3csodipodi:namedview inkscape:current-layer='svg411' inkscape:window-maximized='1' inkscape:window-y='27' inkscape:window-x='67' inkscape:cy='5.1826694' inkscape:cx='6.7616834' inkscape:zoom='106.30869' showgrid='false' id='namedview413' inkscape:window-height='1025' inkscape:window-width='1853' inkscape:pageshadow='2' inkscape:pageopacity='0' guidetolerance='10' gridtolerance='10' objecttolerance='10' borderopacity='1' bordercolor='%23666666' pagecolor='white' /%3e %3c!-- Generator: Sketch 63.1 (92452) - https://sketch.com --%3e %3ctitle id='title383'%3e169x32%3c/title%3e %3cdesc id='desc385'%3eCreated with Sketch.%3c/desc%3e %3cdefs id='defs389'%3e %3cpolygon points='0.63027267 0.08217 20.5917386 0.08217 20.5917386 19.8 0.63027267 19.8' id='path-1' /%3e %3cpolygon points='0.372722932 0.08217 20.3341889 0.08217 20.3341889 19.8 0.372722932 19.8' id='path-3' /%3e %3c/defs%3e %3cg transform='translate(-5.9849681)' fill-rule='evenodd' fill='none' stroke-width='1' stroke='none' id='169x32'%3e %3cg transform='translate(6%2c-1)' id='%d0%9b%d0%be%d0%b3%d0%be-/-Bingo-Boom'%3e %3cg transform='translate(0%2c3.3)' id='Group-17'%3e %3cpath fill='%23e52533' id='Fill-1' d='m 11.17244%2c20.365265 c 1.387617%2c0 2.350633%2c-0.904139 2.350633%2c-2.225353 0%2c-1.356922 -0.963016%2c-2.223924 -2.350633%2c-2.223924 H 6.8957751 v 4.449277 z M 6.8957751%2c6.0347346 v 4.1478984 h 3.5456479 c 1.231493%2c0 2.194509%2c-0.7541636 2.194509%2c-2.0739493 0%2c-1.2455121 -0.92362%2c-2.0739491 -2.194509%2c-2.0739491 z M 20.418848%2c18.669826 c 0%2c2.336764 -0.808349%2c4.2236 -2.465903%2c5.619088 C 16.29685%2c25.684402 14.100882%2c26.4 11.365043%2c26.4 H 0 V 0 h 10.632567 c 5.394347%2c0 8.900599%2c2.8666775 8.900599%2c7.5059244 0%2c2.2239247 -0.847746%2c3.9593576 -2.503841%2c5.2420066 2.273301%2c1.319785 3.389523%2c3.280895 3.389523%2c5.921895 z' /%3e %3cpath fill='%23e52533' id='Fill-3' d='m 35.59405%2c15.300404 c -0.485909%2c-1.762557 -1.682972%2c-2.626082 -3.516109%2c-2.626082 -1.908219%2c0 -3.142115%2c0.863525 -3.666273%2c2.626082 z m -7.1073%2c4.311943 c 0.636073%2c1.538153 2.020134%2c2.288056 4.189015%2c2.288056 1.347227%2c0 2.469209%2c-0.450226 3.404194%2c-1.31233 l 4.489342%2c3.150161 C 38.736165%2c26.063218 36.043126%2c27.225 32.527017%2c27.225 c -3.180364%2c0 -5.723239%2c-0.935959 -7.631458%2c-2.77379 -1.906802%2c-1.874757 -2.843203%2c-4.238089 -2.843203%2c-7.088573 0%2c-2.812137 0.936401%2c-5.175468 2.80637%2c-7.087153 C 26.728696%2c8.362379 29.122823%2c7.425 32.002859%2c7.425 c 2.80637%2c0 5.087166%2c0.937379 6.920303%2c2.812137 1.833136%2c1.874758 2.731288%2c4.238089 2.731288%2c7.050226 0%2c0.825177 -0.07508%2c1.613428 -0.262079%2c2.324984 z' /%3e %3cpath fill='%23e52533' id='Fill-5' d='m 57.172775%2c13.945697 h -3.939067 v 5.563179 c 0%2c1.686824 1.098807%2c1.917837 3.939067%2c1.763829 v 5.754962 c -3.749716%2c0.460572 -6.40206%2c0.11478 -7.954161%2c-1.035922 -1.51624%2c-1.188478 -2.272208%2c-3.299551 -2.272208%2c-6.330314 V 13.945697 H 44.104712 V 7.8463954 h 2.841694 V 4.3928366 L 53.233708%2c2.475 v 5.3713954 h 3.939067 z' /%3e %3cpath fill='%23f6e714' id='Fill-7' d='m 71.612891%2c20.365265 c 1.38606%2c0 2.349006%2c-0.904139 2.349006%2c-2.225353 0%2c-1.356922 -0.962946%2c-2.223924 -2.349006%2c-2.223924 h -4.276359 v 4.449277 z M 67.336532%2c6.0347346 v 4.1478984 h 3.543936 c 1.232863%2c0 2.19581%2c-0.7541636 2.19581%2c-2.0739493 0%2c-1.2455121 -0.923553%2c-2.0739491 -2.19581%2c-2.0739491 z M 80.858639%2c18.669826 c 0%2c2.336764 -0.809751%2c4.2236 -2.465728%2c5.619088 C 76.736935%2c25.684402 74.541124%2c26.4 71.80548%2c26.4 H 60.439791 V 0 h 10.633266 c 5.393961%2c0 8.898503%2c2.8666775 8.898503%2c7.5059244 0%2c2.2239247 -0.846225%2c3.9593576 -2.503661%2c5.2420066 2.273138%2c1.319785 3.39074%2c3.280895 3.39074%2c5.921895 z' /%3e %3cg transform='translate(81.675393%2c7.425)' id='Group-11'%3e %3cmask fill='white' id='mask-2'%3e %3cuse height='100%25' width='100%25' y='0' x='0' id='use395' xlink:href='%23path-1' /%3e %3c/mask%3e %3cg id='Clip-10' /%3e %3cpath mask='url(%23mask-2)' fill='%23f6e714' id='Fill-9' d='m 14.386696%2c9.9411557 c 0%2c-2.2784143 -1.570019%2c-3.8836286 -3.77569%2c-3.8836286 -2.1306391%2c0 -3.7374663%2c1.6052143 -3.7374663%2c3.8836286 0%2c2.2770003 1.6068272%2c3.8836283 3.7374663%2c3.8836283 2.205671%2c0 3.77569%2c-1.606628 3.77569%2c-3.8836283 M 3.5466287%2c16.96167 c -1.9437655%2c-1.905043 -2.91635603%2c-4.257 -2.91635603%2c-7.0205143 0%2c-2.7635143 0.97259053%2c-5.0787 2.91635603%2c-6.9823286 C 5.4903941%2c1.0537843 7.8447145%2c0.08217 10.611006%2c0.08217 c 2.803099%2c0 5.158835%2c0.9716143 7.065792%2c2.8766571 1.943766%2c1.9036286 2.914941%2c4.2188143 2.914941%2c6.9823286 0%2c2.7635143 -0.971175%2c5.1154713 -2.914941%2c7.0205143 -1.906957%2c1.905043 -4.262693%2c2.838471 -7.065792%2c2.838471 -2.7662915%2c0 -5.1206119%2c-0.933428 -7.0643773%2c-2.838471' /%3e %3c/g%3e %3cg transform='translate(103.72775%2c7.425)' id='Group-14'%3e %3cmask fill='white' id='mask-4'%3e %3cuse height='100%25' width='100%25' y='0' x='0' id='use401' xlink:href='%23path-3' /%3e %3c/mask%3e %3cg id='Clip-13' /%3e %3cpath mask='url(%23mask-4)' fill='%23f6e714' id='Fill-12' d='m 14.129146%2c9.9411557 c 0%2c-2.2784143 -1.570019%2c-3.8836286 -3.77569%2c-3.8836286 -2.1306388%2c0 -3.737466%2c1.6052143 -3.737466%2c3.8836286 0%2c2.2770003 1.6068272%2c3.8836283 3.737466%2c3.8836283 2.205671%2c0 3.77569%2c-1.606628 3.77569%2c-3.8836283 M 3.2876633%2c16.96167 c -1.9437655%2c-1.905043 -2.91494037%2c-4.257 -2.91494037%2c-7.0205143 0%2c-2.7635143 0.97117487%2c-5.0787 2.91494037%2c-6.9823286 C 5.2328444%2c1.0537843 7.5871648%2c0.08217 10.353456%2c0.08217 c 2.803099%2c0 5.158836%2c0.9716143 7.064377%2c2.8766571 1.945181%2c1.9036286 2.916356%2c4.2188143 2.916356%2c6.9823286 0%2c2.7635143 -0.971175%2c5.1154713 -2.916356%2c7.0205143 -1.905541%2c1.905043 -4.261278%2c2.838471 -7.064377%2c2.838471 -2.7662912%2c0 -5.1206116%2c-0.933428 -7.0657927%2c-2.838471' /%3e %3c/g%3e %3cpath fill='%23f6e714' id='Fill-15' d='M 155.18325%2c14.612202 V 26.4 h -6.26429 V 15.343103 c 0%2c-1.810477 -0.78854%2c-2.696021 -2.32584%2c-2.696021 -1.6879%2c0 -2.58869%2c1.232759 -2.58869%2c3.235809 V 26.4 h -6.22734 V 15.343103 c 0%2c-1.810477 -0.78854%2c-2.696021 -2.3642%2c-2.696021 -1.68791%2c0 -2.58869%2c1.232759 -2.58869%2c3.235809 V 26.4 h -6.22734 V 7.1383289 h 6.22734 V 8.9488064 C 133.98783%2c7.3702918 135.67574%2c6.6 137.88933%2c6.6 c 2.1383%2c0 3.7509%2c0.8082228 4.80229%2c2.4640584 C 144.00443%2c7.4082228 145.80458%2c6.6 148.13042%2c6.6 c 4.3519%2c0 7.05283%2c3.0432361 7.05283%2c8.012202' /%3e %3c/g%3e %3c/g%3e %3c/g%3e%3c/svg%3e";

var StyledLogo = styled.img(templateObject_1$2 || (templateObject_1$2 = __makeTemplateObject(["\n  height: 40px;\n"], ["\n  height: 40px;\n"])));
var Logo = function () { return React.createElement(StyledLogo, { alt: "logo", src: img }); };
var templateObject_1$2;

const img$1 = "data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' width='24' height='24' viewBox='0 0 24 24'%3e %3cdefs%3e %3cpath id='prefix__a' d='M17.1 10c.497 0 .9.448.9 1s-.403 1-.9 1H.9c-.497 0-.9-.448-.9-1s.403-1 .9-1zm2-5c.497 0 .9.448.9 1s-.403 1-.9 1H2.9C2.403 7 2 6.552 2 6s.403-1 .9-1zm2-5H4.9C4.403 0 4 .448 4 1s.403 1 .9 1h16.2c.497 0 .9-.448.9-1s-.403-1-.9-1z'/%3e %3c/defs%3e %3cg fill='none' fill-rule='evenodd' transform='translate(1 6)'%3e %3cmask id='prefix__b' fill='white'%3e %3cuse xlink:href='%23prefix__a'/%3e %3c/mask%3e %3cuse fill='black' fill-rule='nonzero' xlink:href='%23prefix__a'/%3e %3cg fill='%23010101' mask='url(%23prefix__b)'%3e %3cpath d='M0 0L24 0 24 24 0 24z' transform='translate(-1 -6)'/%3e %3c/g%3e %3c/g%3e%3c/svg%3e";

var StyledIcon = styled.img(templateObject_1$3 || (templateObject_1$3 = __makeTemplateObject(["\n  height: 16px;\n  width: 16px;\n  margin-right: 8px;\n"], ["\n  height: 16px;\n  width: 16px;\n  margin-right: 8px;\n"])));
var Icon = function (_a) {
    var _b = _a.icon, icon = _b === void 0 ? img$1 : _b;
    return (React.createElement(StyledIcon, { alt: "logo", src: icon }));
};
var templateObject_1$3;

var Wrapper = styled.div(templateObject_1$4 || (templateObject_1$4 = __makeTemplateObject(["\n  top: 0px;\n  width: 100vw;\n  height: 96px;\n  background-color: black;\n  position: absolute;\n"], ["\n  top: 0px;\n  width: 100vw;\n  height: 96px;\n  background-color: black;\n  position: absolute;\n"])));
var Content = styled.div(templateObject_2$1 || (templateObject_2$1 = __makeTemplateObject(["\n  padding: 24px 48px;\n  display: flex;\n  align-items: center;\n  justify-content: space-between;\n"], ["\n  padding: 24px 48px;\n  display: flex;\n  align-items: center;\n  justify-content: space-between;\n"])));
var Header = function () { return (React.createElement(Wrapper, null,
    React.createElement(Content, null,
        React.createElement(Logo, null),
        React.createElement(ButtonComponent, { text: "\u0421\u0442\u0430\u0432\u043A\u0438", onClick: function () { return console.log("click"); }, icon: React.createElement(Icon, null) })))); };
var templateObject_1$4, templateObject_2$1;

// Generated with util/create-component.js
var PopoverComponent = function (_a) {
    var children = _a.children, content = _a.content;
    return (React.createElement(Popover, { content: content, title: "Title", trigger: "hover" }, children));
};

export { ButtonComponent as Button, Header, Icon, Logo, PopoverComponent as Popover, TestComponent };
//# sourceMappingURL=index.esm.js.map
